#  PSG_Reskinner
#
#  Enables changing the themes of your PySimpleGUI windows and elements
#  instantaneously on the fly without the need for re-instantiating the window.
#
#  MIT License
#
#  Copyright (c) 2023 Divine Afam-Ifediogor
#
#  Permission is hereby granted, free of charge, to any person obtaining a copy
#  of this software and associated documentation files (the "Software"), to deal
#  in the Software without restriction, including without limitation the rights
#  to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
#  copies of the Software, and to permit persons to whom the Software is
#  furnished to do so, subject to the following conditions:
#
#  The above copyright notice and this permission notice shall be included in all
#  copies or substantial portions of the Software.
#
#  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
#  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
#  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
#  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
#  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
#  OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
#  SOFTWARE.

name = "psg_reskinner"
from .constants import HSL_INTERPOLATION, HUE_INTERPOLATION, RGB_INTERPOLATION
from .easings import (
    EASE_CONSTANT,
    EASE_IN_BOUNCE,
    EASE_IN_CIRC,
    EASE_IN_CUBIC,
    EASE_IN_EXPO,
    EASE_IN_OUT_BOUNCE,
    EASE_IN_OUT_CIRC,
    EASE_IN_OUT_CUBIC,
    EASE_IN_OUT_EXPO,
    EASE_IN_OUT_QUAD,
    EASE_IN_OUT_QUART,
    EASE_IN_OUT_QUINT,
    EASE_IN_OUT_SINE,
    EASE_IN_QUAD,
    EASE_IN_QUART,
    EASE_IN_QUINT,
    EASE_IN_SINE,
    EASE_OUT_BOUNCE,
    EASE_OUT_CIRC,
    EASE_OUT_CUBIC,
    EASE_OUT_EXPO,
    EASE_OUT_QUAD,
    EASE_OUT_QUART,
    EASE_OUT_QUINT,
    EASE_OUT_SINE,
)
from .psg_reskinner import animated_reskin, reskin, toggle_transparency
from .version import __version__
